Subject: Re: [IPFIX] IPFIX errata 2052 to 2059

From: Gerhard Muenz <[email-masked]>
Date: Thu, 01 Jul 2010 10:10:34 +0200

Dear Nevil,

As a further consequence, the status of errata 2053, 2054, 2055, 2056,
2057, 2058, and 2059 (related to RFC 5476) should be "rejected" instead
of "verified".

In the examples, we see selectorId with length = 4 (=32bit), so there is
no reduced size encoding.

Thanks,
Gerhard

Romascanu, Dan (Dan) wrote:
> Nevil,
> 
> The way to do it is to 'unverify' errata 2052 - and I think that this
> can be done by the RFC Editor. Do you know anybody there? :-) Then I can
> reenter the proper resolution. Can you suggest the text that the WG
> reached consensus about? 
> 
> Thanks and Regards,
> 
> Dan
> 
> 
> 
> 
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] 
>> On Behalf Of Nevil Brownlee
>> Sent: Thursday, July 01, 2010 8:50 AM
>> To: Gerhard Muenz
>> Cc: [email-masked]
>> Subject: Re: [IPFIX] IPFIX errata 2052 to 2059
>>
>>
>> Hi Gerhard:
>>
>> Oh, Oh, .. looking back I see that when I asked Dan to verify 
>> these errata, I gave him a confusing message, so it's been 
>> verified incorrectly - consensus was (as you say below) for 
>> unsigned32.
>>
>> I'll work out the best way to get errata 2052 corrected.
>>
>> Cheers, Nevil
>>
>>
>> Gerhard Muenz wrote:
>>> Dear all,
>>>
>>> I see unsigned64 as being verified in the errata, not unsigned32:
>>> http://www.rfc-editor.org/errata_search.php?rfc=5477
>>>
>>> So, what's true now?
>>>
>>> Regards,
>>> Gerhard
>>>
>>> Benoit Claise wrote:
>>>> Nevil,
>>>>> Nevil,
>>>>>
>>>>>> I'm looking through our 'unverified' errata - do we have 
>> consensus 
>>>>>> for Paul's Errata 2052, i.e. change SelectorId to unsigned64?
>>>>> The consensus seems to be a change to unsigned32.
>>>> It's true that unsigned64 would have been better, and Thomas 
>>>> highlighted a limitation with the MIB.
>>>> So let's go for unsigned32 then.
>>>>
>>>> Regards, Benoit.
>>>>> Thanks,
>>>>> P.
>>>>>
>>>> _______________________________________________
>>>> IPFIX mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/ipfix
>>
>> --
>> ---------------------------------------------------------------------
>>   Nevil Brownlee                    Computer Science Department | ITS
>>   Phone: +64 9 373 7599 x88941             The University of Auckland
>>   FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand
>> _______________________________________________
>> IPFIX mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ipfix
>>

-- 
Dr.-Ing. Gerhard Münz
Chair for Network Architectures and Services (I8)
Technische Universität München - Department of Informatics
Boltzmannstr. 3, 85748 Garching bei München, Germany
Phone:  +49 89 289-18008       Fax: +49 89 289-18033
E-mail: [email-masked]    WWW: http://www.net.in.tum.de/~muenz

---

From: Gerhard Muenz <[email-masked]>
Date: Tue, 27 Jul 2010 11:18:14 +0200

Hi,

Steps to do:

- go to RFC editors
- unverify errata 2052 to 2059, reject them instead
- open and verify new errata on RFC5476:

---

Section 8.1.2 says:

Abstract Data Type:  unsigned16

It should say:

Abstract Data Type:  unsigned32

Notes:

Change selectorID from 16 bits to 32 bits per discussion on the IPFIX
mailing list:

http://www.ietf.org/mail-archive/web/ipfix/current/msg05509.html

---

Who is going to do this?

Gerhard

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 27 Jul 2010 14:12:23 +0200

Please do it if you can (by message or by going to their booth in
Maastricht), refer them to me for approval if they need. 

Thanks and Regards,

Dan

> On Behalf Of Gerhard Muenz
> Sent: Tuesday, July 27, 2010 12:18 PM
> To: [email-masked]
> Change selectorID from 16 bits to 32 bits per discussion on 
> the IPFIX mailing list:
> 
> > 2057, 2058, and 2059 (related to RFC 5476) should be "rejected" 
> > instead of "verified".
> > 
> > In the examples, we see selectorId with length = 4 
> (=32bit), so there 
> > is no reduced size encoding.
> > 
> > Thanks,
> > Gerhard
> > 
> > 
> > 
> >> can be done by the RFC Editor. Do you know anybody there? 
> :-) Then I 
> >> can reenter the proper resolution. Can you suggest the 
> text that the 
> >> WG reached consensus about?
> >>
> >> Thanks and Regards,
> >>
> >> Dan
> >>
> >>
> >>
> >>
> >>> From: [email-masked] [mailto:[email-masked]] On 
> >>> Behalf Of Nevil Brownlee
> >>> Oh, Oh, .. looking back I see that when I asked Dan to 
> verify these 
> >>> errata, I gave him a confusing message, so it's been verified 
> >>> incorrectly - consensus was (as you say below) for unsigned32.
> >>>